/* sections defaults */

.slick-slide {
  outline: none;
}

/* first section */
.mobile {
  display: none;
}

.desktop {
  display: block;
}

.home {
  .first-section {
    height: 100vh;
    @include flex(center, center);

    &::before {
      top: unset;
      bottom: 2.5rem;
    }

    .welcome {
      width: 100%;
      @include flex(space-between, flex-start);
    }

    .welcome-text-container {
      padding-top: 40px;
      .welcome-text {
        color: #fff;
        font-weight: 300;
        font-family: PTsans;
      }

      .welcome-hi {
        font-size: 22px;
      }

      .welcome-desc {
        font-size: 34px;
        line-height: 1.2;
      }

      .slider-text {
        display: inline-block;
        margin: 10px 0;
        text-transform: lowercase;
        font-style: italic;

        #welcome-slider-text {
          padding-right: 20px;
        }

        .slider-timer {
          background-color: $pink;
          height: 3px;
          width: 0;
        }
      }
    }

    .welcome-mobile-slider {
      display: none;
    }

    .welcome-slider {
      width: 30%;
      .welcome-carousel-box {
        transform: rotate(-90deg);
      }
      .welcome-carousel {
        width: 100%;
        height: 100%;
      }
      .welcome-carousel .welcome-item img {
        width: 100%;
        height: 100%;
        transform: rotate(90deg);
        border-radius: 20px;
      }

      .welcome-carousel .owl-dots {
        text-align: center;
        margin-top: 10px;
        transform: rotate(180deg);
      }
      .welcome-carousel .owl-dots .owl-dot {
        height: 2px;
        width: 15px;
        margin: 10px;
        background-color: darken($color: $light-blue, $amount: 25%);
        position: relative;
        z-index: 999999;
      }

      .welcome-carousel .owl-dots .owl-dot.active {
        outline: none;
        background-color: $light-blue;
      }
    }

    .welcome-btn {
      max-width: 200px;
      margin-top: 30px;
    }
  }

  .second-section {
    padding: 150px 0 100px;

    .container {
      padding: 0 5%;
      @include flex(space-evenly, center);
      flex-wrap: wrap;
    }

    .solution {
      width: 20%;
      min-width: 100px;
      text-align: center;
      margin: 50px 0;
      position: relative;
      z-index: 99;

      &-icon-box {
        max-width: 50px;
        margin: 0 auto;

        img {
          width: 100%;
        }
      }

      &-title {
        margin-top: 15px;
        text-transform: capitalize;
      }
    }
  }

  .third-section {
    padding: 100px 30px;
    position: relative;

    .container {
      @include flex(center, center);
    }

    .third-section-right {
      width: 40%;
      position: relative;
    }

    .third-section-left {
      width: 60%;
      position: relative;
    }

    .big-circle {
      display: inline-block;
      background-color: rgba($light-blue, 0.7);
      z-index: 0;
      border-radius: 50%;
      width: 100px;
      height: 100px;
      position: absolute;
      left: -30px;
      animation: topToBottom 25s linear infinite;
    }

    .small-circle {
      display: inline-block;
      background-color: rgba($light-blue, 0.8);
      z-index: 1;
      border-radius: 50%;
      width: 15px;
      height: 15px;
      position: absolute;
      left: 50px;
      animation: bottomToTop 8s linear 1s infinite;

      &::after,
      &::before {
        content: "";
        background-color: rgba($light-blue, 0.9);
        z-index: 1;
        border-radius: 50%;
        width: 8px;
        height: 8px;
        position: absolute;
        left: 10px;
        bottom: -20px;
      }

      &::before {
        content: "";
        width: 25px;
        height: 25px;
        position: absolute;
        left: 5px;
        top: -40px;
      }
    }

    .website-carousel {
      margin-top: 30px;
      position: relative;
      z-index: 9;

      .website-img {
        width: 100%;
        max-width: 200px;
        height: 120px;
        border-radius: 15px;
        overflow: hidden;

        img {
          width: 100%;
          height: 100%;
        }
      }
    }

    .larger-image {
      position: relative;
      width: 100%;
      height: 400px;
      border-radius: 15px;
      margin-left: 15px;
      overflow: hidden;
      z-index: 9;
      box-shadow: -20px 20px 40px rgba($dark-gray, 0.3);

      img {
        width: 100%;
        height: 100%;
      }
    }

    .website-details {
      position: relative;
      margin-top: 70px;
      text-align: right;
      z-index: 9;

      .website-title {
        font-size: 20px;
        font-weight: 700;
        text-transform: capitalize;
      }

      .website-year {
        font-size: 16px;
        font-weight: 500;
        color: #a5a5a5;
      }

      .see-more {
        margin-top: 40px;
      }
    }
  }

  .fourth-section {
    padding: 230px 0 0;

    .mobile-carousel {
      position: relative;
      width: 100%;

      .owl-stage {
        @include flex(unset, flex-end);

        .owl-item {
          top: 40px;
        }
      }

      .mobile-app-item {
        display: flex;
        justify-content: center;
      }

      .mobile-slider-items {
        text-align: center;

        img {
          width: 95%;
          height: auto;
        }

        .mobile-app-title {
          margin: 0px 0 5px;
          text-transform: capitalize;
          color: #888a8f;
          font-weight: 700;
        }
      }
    }
  }

  .branding-section {
    .branding-container {
      @include flex(center, center);
      padding: 200px 0;

      .right-brand {
        @include flex(center, flex-end);
        flex-direction: column;
        margin-left: -30px;
      }

      .brand-text {
        margin: 20px 0;

        .brand-title {
          font-weight: 900;
          font-size: 22px;
        }

        .brand-year {
          margin-top: 5px;
          color: #aaa;
        }
      }

      .brand-image {
        border-radius: 10px;
        width: 400px;
        height: 400px;
        box-shadow: -15px 20px 40px rgba(0, 0, 0, 0.3);

        img {
          border-radius: 10px;
          width: 100%;
          height: 100%;
        }
      }
    }

    .branding-works {
      text-align: right;
      padding: 0 45px;
      position: relative;
      top: -220px;
    }
  }

  .othersSiad-section {
    padding: 160px 0;

    .comments-carousel .comments-box {
      width: 90%;
    }

    .comments-carousel .owl-stage {
      display: flex;
      align-items: center;
    }

    .comment-box {
      transform: scale(0.8);
      background-color: $light-gray;
      border-radius: 15px;
      padding: 20px;
      @include flex(flex-start, flex-start);

      .user-icon-box {
        width: 50px;
        height: 50px;
        border-radius: 50%;
        border: 2px solid #000;
        margin-right: 15px;

        .user-icon {
          width: 100%;
          height: 100%;
          border-radius: 50%;
        }
      }

      .comment {
        width: calc(100% - 60px);
        color: #000;

        .user-name {
          font-size: 18px;
          font-weight: 700;
          text-transform: capitalize;
        }

        .user-job {
          margin: 10px 0 15px;
        }

        .comment-text {
          font-size: 14px;
          font-style: italic;
        }
      }
    }
  }

  .ourTeam-section {
    padding: 200px 5% 150px;

    .team-container {
      @include flex(space-evenly, center);
      flex-wrap: wrap;
      max-width: 1024px;
      margin: auto;
      position: relative;
      z-index: 2;

      .teamMate-container,
      .joinTeam-container {
        padding: 50px 0;
        width: 23%;
        border-radius: 20px;
        text-align: center;
        margin: 20px 1px;
        transition: 0.5s;

        img {
          max-width: 80px;
          height: 100px;
          margin-bottom: 10px;
        }

        .teamMate-name {
          text-transform: capitalize;
          font-size: 20px;
          font-weight: 600;
        }

        .teamMate-freePo {
          font-size: 1.05em;
          font-weight: 600;
          margin-bottom: 10px;
        }
      }
    }
  }

  .learning-section {
    padding: 150px 5%;

    .learning-container {
      max-width: 1024px;
      margin: auto;
      position: relative;
      z-index: 2;

      .learning-blog {
        text-align: right;
        margin-top: -20px;
      }

      .learning-contents {
        @include flex(space-between, flex-start);
        flex-direction: row-reverse;
        width: 100%;

        .learning-item {
          width: 45%;
          opacity: 0;

          &:nth-child(2) {
            margin-top: 100px;
          }
          img {
            width: 100%;
            border-radius: 30px;
          }

          .learning-title {
            font-size: 22px;
            margin: 15px 0 10px;
            font-weight: 600;
          }

          .learning-desc {
            color: $desc;
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 990px) {
  .home .first-section .welcome-text-container {
    .welcome-hi {
      font-size: 18px;
    }

    .welcome-desc {
      font-size: 30px;
    }
  }

  .home .third-section {
    .website-carousel {
      margin-top: 0;
    }

    .larger-image {
      height: 350px;
    }

    .website-details {
      margin-top: 50px;

      .website-title {
        font-size: 18px;
      }

      .website-year {
        font-size: 14px;
      }

      .see-more {
        margin-top: 30px;
      }
    }
  }
}

@media only screen and (max-width: 768px) {
  .mobile {
    display: block;
  }

  .desktop {
    display: none;
  }
  .home {
    .first-section {
      display: block;
      justify-content: unset;
      align-items: unset;
      padding-top: 50px;

      &::before {
        content: attr(data-Mobilebefore);
      }

      .welcome {
        flex-direction: column;
      }

      .welcome-text-container {
        .welcome-hi {
          font-size: 18px;
        }

        .welcome-desc {
          font-size: 26px;
          line-height: 1.1;
        }

        .slider-text {
          position: relative;

          #welcome-slider-text {
            padding-right: 20px;
          }

          .slider-timer {
            position: absolute;
            bottom: -5px;
          }
        }
      }

      .welcome-slider {
        display: none;
      }

      .welcome-mobile-slider {
        display: block;
        margin-top: 40px;

        .welcome-mobile-carousel {
          .welcome-item {
            transform: scale(0.8);
            img {
              width: 100%;
              height: 100%;
              border-radius: 20px;
            }
          }
        }
      }
      .welcome-btn {
        max-width: 150px;
        margin-top: 20px;
        font-size: 16px;
      }
    }

    .second-section {
      padding: 130px 0 50px;

      .container {
        padding: 0 5px;
      }

      .solution {
        width: 33%;
        margin: 30px 0;

        &-icon-box {
          max-width: 40px;
          margin: 0 auto;

          img {
            width: 100%;
          }
        }

        &-title {
          margin-top: 15px;
          text-transform: capitalize;
          font-size: 13px;
        }
      }
    }

    .third-section {
      padding: 130px 0 100px;
      position: relative;

      .container {
        display: block;
      }

      .big-circle {
        width: 70px;
        height: 70px;
        left: 90%;
        right: -30px;
        animation: topToBottomMobile 20s linear infinite;
      }

      .small-circle {
        left: 20px;
        animation: bottomToTopMobile 8s linear 1s infinite;

        &::before {
          content: "";
          width: 20px;
          height: 20px;
        }
      }

      .website-mobile-carousel {
        margin-top: 30px;
        position: relative;
        z-index: 9;
        width: 98%;
        margin-left: 2%;

        .website-img {
          transform: scale(0.8);
          width: 100%;

          img {
            border-radius: 15px;
          }
        }
      }

      .website-details {
        margin-top: 10px;
        text-align: left;
        z-index: 9;
        padding: 0 25px;

        .see-more {
          width: 100px;
          min-width: unset;
          margin: 40px auto 0;
          text-align: center;
          display: block;
        }
      }
    }

    .fourth-section {
      padding: 180px 0 0;

      .mobile-app-box {
        position: relative;
        width: 100%;
        margin: 0px;
        display: flex;
        justify-content: center;
        align-items: center;

        .left-col,
        .right-col {
          width: 100%;
          margin: 0 15px;
        }

        .left-col {
          left: -50%;
          .mobile-app {
            position: relative;
            transform: translateX(-1000px);
          }
        }

        .right-col {
          right: -50%;
          .mobile-app {
            position: relative;
            transform: translateX(1000px);
          }
        }

        .mobile-app {
          position: relative;
          max-width: 250px;
          margin: 15px 0;
        }
      }
    }

    .branding-section {
      padding: 150px 0 80px;
      .branding-container {
        display: block;
        padding: 0;

        .brand {
          width: 90%;
          margin: 0 auto;
          border-radius: 25px;
          overflow: hidden;
          position: relative;
          box-shadow: 0px 20px 40px rgba(0, 0, 0, 0.3);
        }

        .bottom-brand {
          top: -50px;
        }

        .brand-text {
          position: absolute;
          top: 20px;
          left: 20px;
          z-index: 9;
          margin: 0;

          .brand-title {
            font-weight: 900;
            font-size: 18px;
          }

          .brand-year {
            margin-top: 5px;
            color: #aaa;
          }
        }

        .brand-image {
          width: 100%;

          img {
            border-radius: 25px;
          }
        }
      }

      .branding-works {
        text-align: center;
        padding: 0 45px;
        position: relative;
        top: 0px;
        margin-top: 30px;
      }
    }

    .othersSiad-section {
      padding: 160px 0;

      .comments-mobile-carousel {
        width: 98%;
        margin-left: 2%;
        .owl-stage {
          display: flex;
          align-items: center;
        }
      }

      .comment-box {
        display: block;

        .user-icon-box {
          width: 40px;
          height: 40px;
        }

        .comment {
          width: auto;
          color: #000;
          @include flex(flex-start, center);
          margin-bottom: 15px;

          .user-name {
            font-size: 16px;
          }

          .user-job {
            margin: 5px 0;
          }
        }

        .comment-text {
          font-size: 14px;
          font-style: italic;
          color: #000;
        }
      }
    }

    .ourTeam-section {
      padding: 150px 0 100px;

      .team-container {
        .teamMate-container,
        .joinTeam-container {
          width: 45%;
          max-width: 200px;
          padding: 30px 0;
          margin: 5px 0px;

          img {
            max-width: 70px;
            height: auto;
          }

          .teamMate-name {
            font-size: 16px;
          }
        }
      }
    }

    .learning-section {
      padding: 150px 0;

      .learning-container {
        .learning-blog {
          text-align: center;
          margin-top: 20px;
        }

        .learning-contents {
          display: block;

          .learning-item {
            width: 90%;
            margin: 0 auto;
            opacity: 0;
            position: relative;

            &:nth-child(2) {
              margin-top: 10px;
            }

            img {
              border-radius: 20px;
            }

            .learning-info {
              position: absolute;
              bottom: 20px;
              left: 15px;
            }

            .learning-title {
              font-size: 18px;
              color: #fff;
            }

            .learning-desc {
              color: #e8e8e8;
              font-size: 14px;
            }
          }
        }
      }
    }
  }
}
